AddressSetSpec API

### Hierarchy

- SoltsiceContract
  - AddressSetSpec

## Index

### Constructors

- constructor

### Properties

- TxParams
- _Contract
- _instance
- _instancePromise
- _sendParams
- add
- address
- destroy
- destroyAndSend
- instance
- pop
- remove
- set
- transactionHash
- transferOwnership
- w3
- Silent

### Accessors

- Artifacts
- BytecodeHash

### Methods

- contains
- first
- get
- getFilterChanges
- getFilterLogs
- getLogs
- getTransactionResult
- getValues
- indexOf
- last
- lastAdd
- lastPop
- lastRemove
- newFilter
- owner
- parseLogs
- parseReceipt
- sendTransaction
- size
- uninstallFilter
- waitTransactionReceipt
- At
- Deployed
- New
- NewData
- NewDataImpl

## Constructors

### Protected constructor

- new AddressSetSpec(deploymentParams: string | TxParams | any, ctorParams?: undefined | __type, w3?: W3, link?: SoltsiceContract[]): AddressSetSpec

- Overrides SoltsiceContract.__constructor

  - Defined in TransmuteContracts/AddressSetSpec.ts:55

  #### Parameters

  - ##### deploymentParams: string | TxParams | any

  - ##### Optional ctorParams: undefined | __type

  - ##### Optional w3: W3

  - ##### Optional link: SoltsiceContract[]

  #### Returns AddressSetSpec

## Properties

### TxParams

TxParams: TxParams

Inherited from SoltsiceContract.TxParams

- Defined in /Users/orie/OR13/transmute/packages/transmute-framework/node_modules/soltsice/dist/src/SoltsiceContract.d.ts:18

### Protected _Contract

_Contract: any

Inherited from SoltsiceContract._Contract

- Defined in /Users/orie/OR13/transmute/packages/transmute-framework/node_modules/soltsice/dist/src/SoltsiceContract.d.ts:9

### Protected _instance

_instance: any

Inherited from SoltsiceContract._instance

- Defined in /Users/orie/OR13/transmute/packages/transmute-framework/node_modules/soltsice/dist/src/SoltsiceContract.d.ts:11

Truffle-contract instance. Use it if Soltsice doesn't support some features yet

### Protected _instancePromise

_instancePromise: Promise<any>

Inherited from SoltsiceContract._instancePromise

- Defined in /Users/orie/OR13/transmute/packages/transmute-framework/node_modules/soltsice/dist/src/SoltsiceContract.d.ts:12

### Protected _sendParams

_sendParams: TxParams

Inherited from SoltsiceContract._sendParams

- Defined in /Users/orie/OR13/transmute/packages/transmute-framework/node_modules/soltsice/dist/src/SoltsiceContract.d.ts:13

### add

add: (Anonymous function) & object & object & object = Object.assign(// tslint:disable-next-line:max-line-length// tslint:disable-next-line:variable-name(value: string, txParams?: W3.TX.TxParams): Promise<W3.TX.TransactionResult> => {return new Promise((resolve, reject) => {this._instance.add(value, txParams || this._sendParams).then((res) => resolve(res)).catch((err) => reject(err));});},{// tslint:disable-next-line:max-line-length// tslint:disable-next-line:variable-namesendTransaction: Object.assign((value: string, txParams?: W3.TX.TxParams): Promise<string> => {return new Promise((resolve, reject) => {this._instance.add.sendTransaction(value, txParams || this._sendParams).then((res) => resolve(res)).catch((err) => reject(err));});},{// tslint:disable-next-line:max-line-length// tslint:disable-next-line:variable-namesendSigned: (value: string, privateKey: string, txParams?: W3.TX.TxParams, nonce?: number): Promise<string> => {// tslint:disable-next-line:max-line-lengthreturn this.w3.sendSignedTransaction(this.address, privateKey, this._instance.add.request(value).params[0].data, txParams, nonce);}})},{// tslint:disable-next-line:max-line-length// tslint:disable-next-line:variable-namedata: (value: string): Promise<string> => {return new Promise((resolve, reject) => {resolve(this._instance.add.request(value).params[0].data);});}},{// tslint:disable-next-line:max-line-length// tslint:disable-next-line:variable-nameestimateGas: (value: string): Promise<number> => {return new Promise((resolve, reject) => {this._instance.add.estimateGas(value).then((g) => resolve(g));});}})

- Defined in TransmuteContracts/AddressSetSpec.ts:77

### address

address: string

Inherited from SoltsiceContract.address

- Defined in /Users/orie/OR13/transmute/packages/transmute-framework/node_modules/soltsice/dist/src/SoltsiceContract.d.ts:16

### destroy

destroy: (Anonymous function) & object & object & object = Object.assign(// tslint:disable-next-line:max-line-length// tslint:disable-next-line:variable-name( txParams?: W3.TX.TxParams): Promise<W3.TX.TransactionResult> => {return new Promise((resolve, reject) => {this._instance.destroy( txParams || this._sendParams).then((res) => resolve(res)).catch((err) => reject(err));});},{// tslint:disable-next-line:max-line-length// tslint:disable-next-line:variable-namesendTransaction: Object.assign(( txParams?: W3.TX.TxParams): Promise<string> => {return new Promise((resolve, reject) => {this._instance.destroy.sendTransaction( txParams || this._sendParams).then((res) => resolve(res)).catch((err) => reject(err));});},{// tslint:disable-next-line:max-line-length// tslint:disable-next-line:variable-namesendSigned: ( privateKey: string, txParams?: W3.TX.TxParams, nonce?: number): Promise<string> => {// tslint:disable-next-line:max-line-lengthreturn this.w3.sendSignedTransaction(this.address, privateKey, this._instance.destroy.request().params[0].data, txParams, nonce);}})},{// tslint:disable-next-line:max-line-length// tslint:disable-next-line:variable-namedata: (): Promise<string> => {return new Promise((resolve, reject) => {resolve(this._instance.destroy.request().params[0].data);});}},{// tslint:disable-next-line:max-line-length// tslint:disable-next-line:variable-nameestimateGas: (): Promise<number> => {return new Promise((resolve, reject) => {this._instance.destroy.estimateGas().then((g) => resolve(g));});}})

- Defined in TransmuteContracts/AddressSetSpec.ts:321

### destroyAndSend

destroyAndSend: (Anonymous function) & object & object & object = Object.assign(// tslint:disable-next-line:max-line-length// tslint:disable-next-line:variable-name(_recipient: string, txParams?: W3.TX.TxParams): Promise<W3.TX.TransactionResult> => {return new Promise((resolve, reject) => {this._instance.destroyAndSend(_recipient, txParams || this._sendParams).then((res) => resolve(res)).catch((err) => reject(err));});},{// tslint:disable-next-line:max-line-length// tslint:disable-next-line:variable-namesendTransaction: Object.assign((_recipient: string, txParams?: W3.TX.TxParams): Promise<string> => {return new Promise((resolve, reject) => {this._instance.destroyAndSend.sendTransaction(_recipient, txParams || this._sendParams).then((res) => resolve(res)).catch((err) => reject(err));});},{// tslint:disable-next-line:max-line-length// tslint:disable-next-line:variable-namesendSigned: (_recipient: string, privateKey: string, txParams?: W3.TX.TxParams, nonce?: number): Promise<string> => {// tslint:disable-next-line:max-line-lengthreturn this.w3.sendSignedTransaction(this.address, privateKey, this._instance.destroyAndSend.request(_recipient).params[0].data, txParams, nonce);}})},{// tslint:disable-next-line:max-line-length// tslint:disable-next-line:variable-namedata: (_recipient: string): Promise<string> => {return new Promise((resolve, reject) => {resolve(this._instance.destroyAndSend.request(_recipient).params[0].data);});}},{// tslint:disable-next-line:max-line-length// tslint:disable-next-line:variable-nameestimateGas: (_recipient: string): Promise<number> => {return new Promise((resolve, reject) => {this._instance.destroyAndSend.estimateGas(_recipient).then((g) => resolve(g));});}})

- Defined in TransmuteContracts/AddressSetSpec.ts:476

### instance

instance: any

Inherited from SoltsiceContract.instance

- Defined in /Users/orie/OR13/transmute/packages/transmute-framework/node_modules/soltsice/dist/src/SoltsiceContract.d.ts:17

### pop

pop: (Anonymous function) & object & object & object = Object.assign(// tslint:disable-next-line:max-line-length// tslint:disable-next-line:variable-name(index: BigNumber | number, txParams?: W3.TX.TxParams): Promise<W3.TX.TransactionResult> => {return new Promise((resolve, reject) => {this._instance.pop(index, txParams || this._sendParams).then((res) => resolve(res)).catch((err) => reject(err));});},{// tslint:disable-next-line:max-line-length// tslint:disable-next-line:variable-namesendTransaction: Object.assign((index: BigNumber | number, txParams?: W3.TX.TxParams): Promise<string> => {return new Promise((resolve, reject) => {this._instance.pop.sendTransaction(index, txParams || this._sendParams).then((res) => resolve(res)).catch((err) => reject(err));});},{// tslint:disable-next-line:max-line-length// tslint:disable-next-line:variable-namesendSigned: (index: BigNumber | number, privateKey: string, txParams?: W3.TX.TxParams, nonce?: number): Promise<string> => {// tslint:disable-next-line:max-line-lengthreturn this.w3.sendSignedTransaction(this.address, privateKey, this._instance.pop.request(index).params[0].data, txParams, nonce);}})},{// tslint:disable-next-line:max-line-length// tslint:disable-next-line:variable-namedata: (index: BigNumber | number): Promise<string> => {return new Promise((resolve, reject) => {resolve(this._instance.pop.request(index).params[0].data);});}},{// tslint:disable-next-line:max-line-length// tslint:disable-next-line:variable-nameestimateGas: (index: BigNumber | number): Promise<number> => {return new Promise((resolve, reject) => {this._instance.pop.estimateGas(index).then((g) => resolve(g));});}})

- Defined in TransmuteContracts/AddressSetSpec.ts:271

### remove

remove: (Anonymous function) & object & object & object = Object.assign(// tslint:disable-next-line:max-line-length// tslint:disable-next-line:variable-name(value: string, txParams?: W3.TX.TxParams): Promise<W3.TX.TransactionResult> => {return new Promise((resolve, reject) => {this._instance.remove(value, txParams || this._sendParams).then((res) => resolve(res)).catch((err) => reject(err));});},{// tslint:disable-next-line:max-line-length// tslint:disable-next-line:variable-namesendTransaction: Object.assign((value: string, txParams?: W3.TX.TxParams): Promise<string> => {return new Promise((resolve, reject) => {this._instance.remove.sendTransaction(value, txParams || this._sendParams).then((res) => resolve(res)).catch((err) => reject(err));});},{// tslint:disable-next-line:max-line-length// tslint:disable-next-line:variable-namesendSigned: (value: string, privateKey: string, txParams?: W3.TX.TxParams, nonce?: number): Promise<string> => {// tslint:disable-next-line:max-line-lengthreturn this.w3.sendSignedTransaction(this.address, privateKey, this._instance.remove.request(value).params[0].data, txParams, nonce);}})},{// tslint:disable-next-line:max-line-length// tslint:disable-next-line:variable-namedata: (value: string): Promise<string> => {return new Promise((resolve, reject) => {resolve(this._instance.remove.request(value).params[0].data);});}},{// tslint:disable-next-line:max-line-length// tslint:disable-next-line:variable-nameestimateGas: (value: string): Promise<number> => {return new Promise((resolve, reject) => {this._instance.remove.estimateGas(value).then((g) => resolve(g));});}})

- Defined in TransmuteContracts/AddressSetSpec.ts:138

### set

set: (Anonymous function) & object & object & object = Object.assign(// tslint:disable-next-line:max-line-length// tslint:disable-next-line:variable-name(index: BigNumber | number, value: string, txParams?: W3.TX.TxParams): Promise<W3.TX.TransactionResult> => {return new Promise((resolve, reject) => {this._instance.set(index, value, txParams || this._sendParams).then((res) => resolve(res)).catch((err) => reject(err));});},{// tslint:disable-next-line:max-line-length// tslint:disable-next-line:variable-namesendTransaction: Object.assign((index: BigNumber | number, value: string, txParams?: W3.TX.TxParams): Promise<string> => {return new Promise((resolve, reject) => {this._instance.set.sendTransaction(index, value, txParams || this._sendParams).then((res) => resolve(res)).catch((err) => reject(err));});},{// tslint:disable-next-line:max-line-length// tslint:disable-next-line:variable-namesendSigned: (index: BigNumber | number, value: string, privateKey: string, txParams?: W3.TX.TxParams, nonce?: number): Promise<string> => {// tslint:disable-next-line:max-line-lengthreturn this.w3.sendSignedTransaction(this.address, privateKey, this._instance.set.request(index, value).params[0].data, txParams, nonce);}})},{// tslint:disable-next-line:max-line-length// tslint:disable-next-line:variable-namedata: (index: BigNumber | number, value: string): Promise<string> => {return new Promise((resolve, reject) => {resolve(this._instance.set.request(index, value).params[0].data);});}},{// tslint:disable-next-line:max-line-length// tslint:disable-next-line:variable-nameestimateGas: (index: BigNumber | number, value: string): Promise<number> => {return new Promise((resolve, reject) => {this._instance.set.estimateGas(index, value).then((g) => resolve(g));});}})

- Defined in TransmuteContracts/AddressSetSpec.ts:188

### transactionHash

transactionHash: Promise<string>

Inherited from SoltsiceContract.transactionHash

- Defined in /Users/orie/OR13/transmute/packages/transmute-framework/node_modules/soltsice/dist/src/SoltsiceContract.d.ts:7

### transferOwnership

transferOwnership: (Anonymous function) & object & object & object = Object.assign(// tslint:disable-next-line:max-line-length// tslint:disable-next-line:variable-name(newOwner: string, txParams?: W3.TX.TxParams): Promise<W3.TX.TransactionResult> => {return new Promise((resolve, reject) => {this._instance.transferOwnership(newOwner, txParams || this._sendParams).then((res) => resolve(res)).catch((err) => reject(err));});},{// tslint:disable-next-line:max-line-length// tslint:disable-next-line:variable-namesendTransaction: Object.assign((newOwner: string, txParams?: W3.TX.TxParams): Promise<string> => {return new Promise((resolve, reject) => {this._instance.transferOwnership.sendTransaction(newOwner, txParams || this._sendParams).then((res) => resolve(res)).catch((err) => reject(err));});},{// tslint:disable-next-line:max-line-length// tslint:disable-next-line:variable-namesendSigned: (newOwner: string, privateKey: string, txParams?: W3.TX.TxParams, nonce?: number): Promise<string> => {// tslint:disable-next-line:max-line-lengthreturn this.w3.sendSignedTransaction(this.address, privateKey, this._instance.transferOwnership.request(newOwner).params[0].data, txParams, nonce);}})},{// tslint:disable-next-line:max-line-length// tslint:disable-next-line:variable-namedata: (newOwner: string): Promise<string> => {return new Promise((resolve, reject) => {resolve(this._instance.transferOwnership.request(newOwner).params[0].data);});}},{// tslint:disable-next-line:max-line-length// tslint:disable-next-line:variable-nameestimateGas: (newOwner: string): Promise<number> => {return new Promise((resolve, reject) => {this._instance.transferOwnership.estimateGas(newOwner).then((g) => resolve(g));});}})

- Defined in TransmuteContracts/AddressSetSpec.ts:426

### w3

w3: W3

Inherited from SoltsiceContract.w3

- Defined in /Users/orie/OR13/transmute/packages/transmute-framework/node_modules/soltsice/dist/src/SoltsiceContract.d.ts:8

### Static Silent

Silent: boolean

Inherited from SoltsiceContract.Silent

- Defined in /Users/orie/OR13/transmute/packages/transmute-framework/node_modules/soltsice/dist/src/SoltsiceContract.d.ts:6

## Accessors

### Static Artifacts

Artifacts:

- Defined in TransmuteContracts/AddressSetSpec.ts:9

### Static BytecodeHash

BytecodeHash:

- Defined in TransmuteContracts/AddressSetSpec.ts:11

## Methods

### contains

- contains(value: string, txParams?: W3.TX.TxParams): Promise<boolean>

- - Defined in TransmuteContracts/AddressSetSpec.ts:261

  #### Parameters

  - ##### value: string

  - ##### Optional txParams: W3.TX.TxParams

  #### Returns Promise<boolean>

### first

- first(txParams?: W3.TX.TxParams): Promise<string>

- - Defined in TransmuteContracts/AddressSetSpec.ts:239

  #### Parameters

  - ##### Optional txParams: W3.TX.TxParams

  #### Returns Promise<string>

### get

- get(index: BigNumber | number, txParams?: W3.TX.TxParams): Promise<string>

- - Defined in TransmuteContracts/AddressSetSpec.ts:416

  #### Parameters

  - ##### index: BigNumber | number

  - ##### Optional txParams: W3.TX.TxParams

  #### Returns Promise<string>

### getFilterChanges

- getFilterChanges(filter: number): Promise<Log[]>

- Inherited from SoltsiceContract.getFilterChanges

  - Defined in /Users/orie/OR13/transmute/packages/transmute-framework/node_modules/soltsice/dist/src/SoltsiceContract.d.ts:28

  #### Parameters

  - ##### filter: number

  #### Returns Promise<Log[]>

### getFilterLogs

- getFilterLogs(filter: number): Promise<Log[]>

- Inherited from SoltsiceContract.getFilterLogs

  - Defined in /Users/orie/OR13/transmute/packages/transmute-framework/node_modules/soltsice/dist/src/SoltsiceContract.d.ts:29

  #### Parameters

  - ##### filter: number

  #### Returns Promise<Log[]>

### getLogs

- getLogs(fromBlock: number, toBlock?: undefined | number): Promise<Log[]>

- Inherited from SoltsiceContract.getLogs

  - Defined in /Users/orie/OR13/transmute/packages/transmute-framework/node_modules/soltsice/dist/src/SoltsiceContract.d.ts:30

  #### Parameters

  - ##### fromBlock: number

  - ##### Optional toBlock: undefined | number

  #### Returns Promise<Log[]>

### getTransactionResult

- getTransactionResult(txHash: string): Promise<TransactionResult>

- Inherited from SoltsiceContract.getTransactionResult

  - Defined in /Users/orie/OR13/transmute/packages/transmute-framework/node_modules/soltsice/dist/src/SoltsiceContract.d.ts:24

  Get transaction result by hash. Returns receipt + parsed logs.

  #### Parameters

  - ##### txHash: string

  #### Returns Promise<TransactionResult>

### getValues

- getValues(txParams?: W3.TX.TxParams): Promise<string[]>

- - Defined in TransmuteContracts/AddressSetSpec.ts:128

  #### Parameters

  - ##### Optional txParams: W3.TX.TxParams

  #### Returns Promise<string[]>

### indexOf

- indexOf(value: string, txParams?: W3.TX.TxParams): Promise<BigNumber>

- - Defined in TransmuteContracts/AddressSetSpec.ts:527

  #### Parameters

  - ##### value: string

  - ##### Optional txParams: W3.TX.TxParams

  #### Returns Promise<BigNumber>

### last

- last(txParams?: W3.TX.TxParams): Promise<string>

- - Defined in TransmuteContracts/AddressSetSpec.ts:250

  #### Parameters

  - ##### Optional txParams: W3.TX.TxParams

  #### Returns Promise<string>

### lastAdd

- lastAdd(txParams?: W3.TX.TxParams): Promise<boolean>

- - Defined in TransmuteContracts/AddressSetSpec.ts:538

  #### Parameters

  - ##### Optional txParams: W3.TX.TxParams

  #### Returns Promise<boolean>

### lastPop

- lastPop(txParams?: W3.TX.TxParams): Promise<string>

- - Defined in TransmuteContracts/AddressSetSpec.ts:394

  #### Parameters

  - ##### Optional txParams: W3.TX.TxParams

  #### Returns Promise<string>

### lastRemove

- lastRemove(txParams?: W3.TX.TxParams): Promise<boolean>

- - Defined in TransmuteContracts/AddressSetSpec.ts:372

  #### Parameters

  - ##### Optional txParams: W3.TX.TxParams

  #### Returns Promise<boolean>

### newFilter

- newFilter(fromBlock: number, toBlock?: undefined | number): Promise<number>

- Inherited from SoltsiceContract.newFilter

  - Defined in /Users/orie/OR13/transmute/packages/transmute-framework/node_modules/soltsice/dist/src/SoltsiceContract.d.ts:26

  #### Parameters

  - ##### fromBlock: number

  - ##### Optional toBlock: undefined | number

  #### Returns Promise<number>

### owner

- owner(txParams?: W3.TX.TxParams): Promise<string>

- - Defined in TransmuteContracts/AddressSetSpec.ts:383

  #### Parameters

  - ##### Optional txParams: W3.TX.TxParams

  #### Returns Promise<string>

### parseLogs

- parseLogs(logs: Log[]): Promise<Log[]>

- Inherited from SoltsiceContract.parseLogs

  - Defined in /Users/orie/OR13/transmute/packages/transmute-framework/node_modules/soltsice/dist/src/SoltsiceContract.d.ts:21

  #### Parameters

  - ##### logs: Log[]

  #### Returns Promise<Log[]>

### parseReceipt

- parseReceipt(receipt: TransactionReceipt): Promise<Log[]>

- Inherited from SoltsiceContract.parseReceipt

  - Defined in /Users/orie/OR13/transmute/packages/transmute-framework/node_modules/soltsice/dist/src/SoltsiceContract.d.ts:22

  #### Parameters

  - ##### receipt: TransactionReceipt

  #### Returns Promise<Log[]>

### sendTransaction

- sendTransaction(txParams?: W3.TX.TxParams): Promise<TransactionResult>

- Inherited from SoltsiceContract.sendTransaction

  - Defined in /Users/orie/OR13/transmute/packages/transmute-framework/node_modules/soltsice/dist/src/SoltsiceContract.d.ts:20

  Send a transaction to the fallback function

  #### Parameters

  - ##### Optional txParams: W3.TX.TxParams

  #### Returns Promise<TransactionResult>

### size

- size(txParams?: W3.TX.TxParams): Promise<BigNumber>

- - Defined in TransmuteContracts/AddressSetSpec.ts:405

  #### Parameters

  - ##### Optional txParams: W3.TX.TxParams

  #### Returns Promise<BigNumber>

### uninstallFilter

- uninstallFilter(filter: number): Promise<boolean>

- Inherited from SoltsiceContract.uninstallFilter

  - Defined in /Users/orie/OR13/transmute/packages/transmute-framework/node_modules/soltsice/dist/src/SoltsiceContract.d.ts:27

  #### Parameters

  - ##### filter: number

  #### Returns Promise<boolean>

### waitTransactionReceipt

- waitTransactionReceipt(hashString: string): Promise<TransactionResult>

- Inherited from SoltsiceContract.waitTransactionReceipt

  - Defined in /Users/orie/OR13/transmute/packages/transmute-framework/node_modules/soltsice/dist/src/SoltsiceContract.d.ts:25

  #### Parameters

  - ##### hashString: string

  #### Returns Promise<TransactionResult>

### Static At

- At(address: string | any, w3?: W3): Promise<AddressSetSpec>

- - Defined in TransmuteContracts/AddressSetSpec.ts:38

  #### Parameters

  - ##### address: string | any

  - ##### Optional w3: W3

  #### Returns Promise<AddressSetSpec>

### Static Deployed

- Deployed(w3?: W3): Promise<AddressSetSpec>

- - Defined in TransmuteContracts/AddressSetSpec.ts:44

  #### Parameters

  - ##### Optional w3: W3

  #### Returns Promise<AddressSetSpec>

### Static New

- New(deploymentParams: TxParams, ctorParams?: undefined | __type, w3?: W3, link?: SoltsiceContract[], privateKey?: undefined | string): Promise<AddressSetSpec>

- - Defined in TransmuteContracts/AddressSetSpec.ts:22

  #### Parameters

  - ##### deploymentParams: TxParams

  - ##### Optional ctorParams: undefined | __type

  - ##### Optional w3: W3

  - ##### Optional link: SoltsiceContract[]

  - ##### Optional privateKey: undefined | string

  #### Returns Promise<AddressSetSpec>

### Static NewData

- NewData(ctorParams?: undefined | __type, w3?: W3): string

- - Defined in TransmuteContracts/AddressSetSpec.ts:51

  #### Parameters

  - ##### Optional ctorParams: undefined | __type

  - ##### Optional w3: W3

  #### Returns string

### Static Protected NewDataImpl

- NewDataImpl(w3?: W3, tokenArtifacts?: any, constructorParams?: W3.TX.ContractDataType[]): string

- Inherited from SoltsiceContract.NewDataImpl

  - Defined in /Users/orie/OR13/transmute/packages/transmute-framework/node_modules/soltsice/dist/src/SoltsiceContract.d.ts:14

  #### Parameters

  - ##### Optional w3: W3

  - ##### Optional tokenArtifacts: any

  - ##### Optional constructorParams: W3.TX.ContractDataType[]

  #### Returns string

Generated using TypeDoc